import {Routes} from '@angular/router';

const routes: Routes = [
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  {
    data: {
      label: 'RTGM',
    },
    loadComponent: () =>
      import('./rtgm/app.component').then(com => com.AppComponent),
    path: 'rtgm',
  },
];

/**
 * Return ERP design maps application routes.
 */
export function designMapsRoutes(): Routes {
  return routes;
}
