import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {SpectraDataComponent} from './spectra-data.component';

describe('SpectraDataComponent', () => {
  let component: SpectraDataComponent;
  let fixture: ComponentFixture<SpectraDataComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [SpectraDataComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideNoopAnimations(),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(SpectraDataComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
