import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {TableDataPanelComponent} from './table-data-panel.component';

describe('TableDataPanelComponent', () => {
  let component: TableDataPanelComponent;
  let fixture: ComponentFixture<TableDataPanelComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [TableDataPanelComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(TableDataPanelComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
