# Exceedance Explorer Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to plot exceedance, ground motion vs. annual frequency
of exceedance.

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/eceedance-explorer/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/eceedance-explorer/components/AboutComponent.html).

### Control Panel

Control panel with form fields to plot exceedance.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/eceedance-explorer/components/ControlPanelComponent.html).

### Plot

Plotly plot of exceedance.

See [PlotComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/eceedance-explorer/components/PlotComponent.html).

### Settings

The plot settings control panel to change certain settings of the plot.

See [SettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/eceedance-explorer/components/SettingsComponent.html)

## Routing

- Math applications: [MathModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/modules/MathModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
