import {Component} from '@angular/core';
import {NshmpLibNgErrorPageComponent} from '@ghsc/nshmp-lib-ng/nshmp';
import {navigation} from 'projects/nshmp-apps/src/shared/utils/navigation.utils';

/**
 * Error page for any 404 errors.
 *
 * Used for reverse proxy.
 */
@Component({
  imports: [NshmpLibNgErrorPageComponent],
  selector: 'app-404',
  styleUrl: './404.component.scss',
  templateUrl: './404.component.html',
})
export class Error404Component {
  navigationList = navigation();

  constructor() {}
}
