import {GmmImtParameters} from '@ghsc/nshmp-lib-ng/gmm';

/**
 * Ground motion vs distance service parameters.
 */
export interface GmmDistanceParameters extends GmmImtParameters {
  /** IMT */
  imt: string;
  /** Max distance */
  rMax: number;
  /** Min distance */
  rMin: number;
}
