import {GmmFormControls} from '@ghsc/nshmp-lib-ng/gmm';

/**
 * Control panel form fields.
 */
export interface FormControls extends GmmFormControls {
  /** Whether to derive path paramaeters */
  derivePathParams: boolean;
  /** Whether to use hangin wall */
  hangingWall: boolean;
  /** Rake */
  rake: number;
  /** Rake button values */
  rakeButton: 0 | 90 | -90;
  /** Joyner-Boore Distance */
  rJB: number;
  /** Rupture Distance */
  rRup: number;
  /** Distance X */
  rX: number;
  /** Hypocentral Depth */
  zHyp: number;
  /** Whether hypocenter is centered */
  zHypCentered: boolean;
}
