import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed, waitForAsync} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {DisaggSummaryComponent} from './disagg-summary.component';

describe('DisaggSummaryComponent', () => {
  let component: DisaggSummaryComponent;
  let fixture: ComponentFixture<DisaggSummaryComponent>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [DisaggSummaryComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
      teardown: {destroyAfterEach: false},
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(DisaggSummaryComponent);
    component = fixture.componentInstance;

    fixture.componentRef.setInput('componentData', undefined);

    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
