import {JobStatus} from '@ghsc/nshmp-lib-ng/aws';
import * as AWS from 'aws-sdk';

/**
 * Log service response data.
 */
export interface GetLogsResponseData {
  /** The AWS logs */
  logs: AWS.CloudWatchLogs.OutputLogEvents;

  /** Current job status */
  jobStatus?: JobStatus;
  /** Job results */
  results?: string;
}

/**
 * Log service request data.
 */
export interface GetLogsRequestData {
  /** AWS hazard job id */
  jobId?: string;
}
