import {Component} from '@angular/core';
import {MatButton} from '@angular/material/button';
import {
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutDescriptionComponent,
  NshmpLibNgAboutDescriptionTitleComponent,
  NshmpLibNgAboutHeaderControlsComponent,
  NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
} from '@ghsc/nshmp-lib-ng/about';

/**
 * About page for haz-job-history applicaiton.
 */
@Component({
  imports: [
    NshmpLibNgAboutContentComponent,
    NshmpLibNgAboutDescriptionComponent,
    NshmpLibNgAboutDescriptionTitleComponent,
    NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
    NshmpLibNgAboutHeaderControlsComponent,
    MatButton,
  ],
  selector: 'app-about',
  styleUrl: './about.component.scss',
  templateUrl: './about.component.html',
})
export class AboutComponent {
  constructor() {}
}
