import {Component} from '@angular/core';
import {
  AboutMainContentTab,
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutDescriptionComponent,
  NshmpLibNgAboutDescriptionTitleComponent,
  NshmpLibNgAboutHeaderControlsComponent,
  NshmpLibNgAboutMainContentTabsComponent,
  NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
} from '@ghsc/nshmp-lib-ng/about';

/**
 * About page for submit-haz-jobs application.
 */
@Component({
  imports: [
    NshmpLibNgAboutContentComponent,
    NshmpLibNgAboutDescriptionComponent,
    NshmpLibNgAboutDescriptionTitleComponent,
    NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
    NshmpLibNgAboutHeaderControlsComponent,
    NshmpLibNgAboutMainContentTabsComponent,
  ],
  selector: 'app-about',
  styleUrl: './about.component.scss',
  templateUrl: './about.component.html',
})
export class AboutComponent {
  /** Main content tabs */
  tabInfo: AboutMainContentTab[] = [
    {
      tabDescription:
        'Fill out the form fields and click "Submit Job" to run nshmp-haz on AWS',
      tabTitle: 'Run nshmp-haz',
    },
    {
      tabDescription:
        'Information on the configuration file format and individual parameters',
      tabTitle: 'Configuration Parameters',
    },
    {
      tabDescription: 'JSON example of the configuration file',
      tabTitle: 'JSON Example',
    },
    {
      tabDescription: 'YAML example of the configuration file',
      tabTitle: 'YAML Example',
    },
  ];

  constructor() {}
}
