import {FormControl} from '@angular/forms';
import {FormGroupControls} from '@ghsc/nshmp-lib-ng/nshmp';
import {
  CloudConfig,
  MapConfig,
  NshmpConfig,
} from '@ghsc/nshmp-utils-ts/libs/aws/run-nshmp-haz';

export interface RunNshmpHazFormGroup {
  cloudConfig: FormGroupControls<CloudConfig>;
  mapConfig: FormGroupControls<MapConfig>;
  nshmpConfig: FormGroupControls<NshmpConfig>;
  overrideNshmpLib: FormControl<boolean>;
}
