import {
  CalcConfig,
  CloudConfig,
  MapConfig,
  NshmpConfig,
} from '@ghsc/nshmp-utils-ts/libs/aws/run-nshmp-haz';

/**
 * Post config.
 */
export interface PostConfig {
  /** Calc config */
  calcConfig: CalcConfig | CalcConfig[];
  /** AWS cloud config */
  cloudConfig: CloudConfig;
  /** NSHMP config to run nshmp-haz */
  nshmpConfig: NshmpConfig;
  /** Hazard map creation config */
  mapConfig?: MapConfig;
}
