import {
  CalcConfig,
  RunNshmpHazHttpPostConfig,
  RunNshmpHazResponseData,
} from '@ghsc/nshmp-utils-ts/libs/aws/run-nshmp-haz';
import {Response} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils';

import {PostConfig} from './post-config.model';

/**
 * Application state.
 */
export interface AppState {
  /** The calucation configuration */
  calcConfig: CalcConfig[];
  /** Submittion history */
  history: Response<RunNshmpHazHttpPostConfig, RunNshmpHazResponseData>[];
  /** Submit hazard job service response */
  serviceResponses: Response<
    RunNshmpHazHttpPostConfig,
    RunNshmpHazResponseData
  >[];

  importedConfig?: PostConfig;
}
