# Terminate Hazard Jobs on AWS Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to terminate a running hazard job on AWS using a job id.

## Service

Services used in application:

- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/jobs>
- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/terminate-job>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/terminate-haz-jobs/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/terminate-haz-jobs/components/AboutComponent.html).

### Content

Main content for application showing hazard run job logs.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/terminate-haz-jobs/components/ContentComponent.html).

## Routing

- AWS applications: [AwsModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/modules/AwsModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
