# USGS Earthquake Hazard Toolbox Development Dashboard

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Internal Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/internal)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Dashboard

Internal dashboard for all USGS internal applications.

Contains links to internal applications:

- AWS applications:
  - [Check hazard jobs application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs)
  - [Hazard job history application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/aws/haz-job-history)
  - [Submit hazard jobs application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/aws/submit-haz-jobs)
  - [Terminate hazard jobs application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/aws/terminate-haz-jobs)

## Components

### App

Main app component for dashboard application.

## Routing

See [InternalModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/InternalModule.html)
for routing configuration for internal applications.
