import {Component} from '@angular/core';
import {
  AboutMainContentTab,
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutControlPanelComponent,
  NshmpLibNgAboutDescriptionComponent,
  NshmpLibNgAboutDescriptionTitleComponent,
  NshmpLibNgAboutHeaderControlsComponent,
  NshmpLibNgAboutMainContentTabsComponent,
  NshmpLibNgAboutPlotlyComponent,
  NshmpLibNgAboutSettingsComponent,
  NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
} from '@ghsc/nshmp-lib-ng/about';

@Component({
  imports: [
    NshmpLibNgAboutContentComponent,
    NshmpLibNgAboutDescriptionComponent,
    NshmpLibNgAboutDescriptionTitleComponent,
    NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
    NshmpLibNgAboutHeaderControlsComponent,
    NshmpLibNgAboutControlPanelComponent,
    NshmpLibNgAboutMainContentTabsComponent,
    NshmpLibNgAboutPlotlyComponent,
    NshmpLibNgAboutSettingsComponent,
  ],
  selector: 'app-about',
  styleUrl: './about.component.scss',
  templateUrl: './about.component.html',
})
export class AboutComponent {
  /** About main content tabs */
  tabInfo: AboutMainContentTab[] = [
    {
      tabDescription: 'Shows earthquake rates and probabilities plots.',
      tabTitle: 'Plots',
    },
    {
      tabDescription: 'Shows the earthquake rate data in tabular form.',
      tabTitle: 'Rate Data',
    },
    {
      tabDescription: 'Shows the earthquake probability data in tabular form.',
      tabTitle: 'Probability Data',
    },
  ];
}
