import {AngularEnvironment} from '../shared/models/angular-environment.model';
import {webServices} from './web-services';

// Whether web services are local
const isLocal = false;

// Base url to use for web services
const baseUrl = isLocal
  ? 'http://127.0.0.1:8080'
  : 'https://earthquake.usgs.gov';

/**
 * Configuration for local development.
 *
 * For local web services replace https://earthquake.usgs.gov with http://127.0.0.1:8080
 */
export const environment: AngularEnvironment = {
  production: false,
  webServices: webServices(baseUrl),
};
