import {Routes} from '@angular/router';

const routes: Routes = [
  // Services application
  {
    children: [
      {
        data: {
          label: 'Services',
        },
        loadComponent: () =>
          import('./services/app.component').then(com => com.AppComponent),
        path: '',
      },
      {
        data: {
          label: 'Swagger',
        },
        loadComponent: () =>
          import('../../../swagger/src/app/swagger/app.component').then(
            com => com.AppComponent,
          ),
        path: '**',
      },
    ],
    path: '',
  },
];

/**
 * Returns USGS earthquake hazard toolbox /ws routes.
 */
export function wsRoutes(): Routes {
  return routes;
}
