import {devNavigation} from '../../../../src/shared/utils/navigation.utils';
import * as utils from '../../../utils';

describe('Development Dashboard', () => {
  beforeEach(() => {
    cy.viewport('macbook-16');
    cy.visit('/dev');
  });

  describe('Check nshmp-template', () => {
    utils.hasNshmpTemplate(devNavigation());
  });

  describe('Check dev dashboard', () => {
    const nav = devNavigation().map(navItem => {
      const list = navItem.navigation.filter(
        app => app.display !== 'Development Dashboard',
      );
      return {
        ...navItem,
        navigation: list,
      };
    });

    utils.hasDashboard(nav);
  });
});
