import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {RtgmSummaryComponent} from './rtgm-summary.component';

describe('RtgmSummaryComponent', () => {
  let component: RtgmSummaryComponent;
  let fixture: ComponentFixture<RtgmSummaryComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [RtgmSummaryComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(RtgmSummaryComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
