import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {HazardDataComponent} from './hazard-data.component';

describe('HazardDataComponent', () => {
  let component: HazardDataComponent;
  let fixture: ComponentFixture<HazardDataComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [HazardDataComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(HazardDataComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
