import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {ParameterSummaryComponent} from './parameter-summary.component';

describe('ParameterSummaryComponent', () => {
  let component: ParameterSummaryComponent;
  let fixture: ComponentFixture<ParameterSummaryComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ParameterSummaryComponent],
      providers: [
        provideNoopAnimations(),
        provideHttpClient(),
        provideRouter([]),
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ParameterSummaryComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
