# Hazard Run Job History Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to get history of hazard runs on AWS.

## Services

Services used in application:

- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/jobs>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/haz-job-history/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/haz-job-history/components/AboutComponent.html).

### Content

Main content for application showing hazard run job logs.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/haz-job-history/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to call service.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/haz-job-history/components/ControlPanelComponent.html).

## Routing

- AWS applications: [AwsModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/modules/AwsModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
