import {inject} from '@angular/core';
import {CanActivateFn} from '@angular/router';

import {AuthService} from '../services/auth.service';

/**
 * Network auth route guard.
 */
export const networkGuard: CanActivateFn = () => {
  const authService = inject(AuthService);
  return authService.isAuthorized();
};
