import {Component} from '@angular/core';
import {NshmpLibNgPlotComponent} from '@ghsc/nshmp-lib-ng/plot';

import {AppService} from '../../services/app.service';

/**
 * Plot MFD logic tree using Plotly treemaps plot.
 *
 * @see https://plotly.com/javascript/treemaps/
 */
@Component({
  imports: [NshmpLibNgPlotComponent],
  selector: 'app-logic-tree',
  styleUrl: './logic-tree.component.scss',
  templateUrl: './logic-tree.component.html',
})
export class LogicTreeComponent {
  /** Logic tree plot data state */
  plotData = this.service.logicTreePlotData;

  constructor(private service: AppService) {}
}
