/**
 * Leaflet layers to map.
 */
export interface Layers {
  /** Base layer for map */
  baseLayer: L.LayerGroup;
  /** Decollement GeoJSON layer */
  decollementLayer: L.GeoJSON;
  /** Latest earthquake layer */
  earthquakesLayer: L.GeoJSON;
  /** Fault sections GeoJSON layer */
  faultSectionLayer: L.GeoJSON;
  /** Hazard map layer */
  hazardLayer: L.TileLayer;
  /** Interface sections GeoJSON layer */
  interfaceSectionsLayer: L.GeoJSON;
  /** NSHM boundary GeoJSON layer */
  nshmBoundaryLayer: L.GeoJSON;
  /** Test sites GeoJSOn layer */
  testSitesLayer: L.GeoJSON;
  /** Zone sources GeoJSON layer */
  zoneSourcesLayer: L.GeoJSON;
}
