import {Component} from '@angular/core';
import {MatListModule} from '@angular/material/list';
import {nshmpUtils} from '@ghsc/nshmp-lib-ng/nshmp';

import {AppService} from '../../services/app.service';

@Component({
  imports: [MatListModule],
  selector: 'app-parameter-summary',
  styleUrl: './parameter-summary.component.scss',
  templateUrl: './parameter-summary.component.html',
})
export class ParameterSummaryComponent {
  isNaN = Number.isNaN;
  /** Function to get display from a `Parameter` */
  toDisplay = nshmpUtils.parameterToDisplay;

  formGroup = this.service.formGroup;

  constructor(public service: AppService) {}
}
