import {Routes} from '@angular/router';

const routes: Routes = [
  // Services application
  {
    children: [
      {
        data: {
          label: 'Swagger',
        },
        loadComponent: () =>
          import('./swagger/app.component').then(com => com.AppComponent),
        path: '**',
      },
    ],
    path: '',
  },
];

export function swaggerRoutes(): Routes {
  return routes;
}
