#!/bin/bash
#
# Write git version info.
##

json_file="projects/nshmp-apps/src/assets/nshmp-apps-version.json";
url="$(git config --get remote.origin.url | sed 's/.git//g')";

cat << EOF > "${json_file}"
{
  "projectName": "nshmp-apps",
  "version": "$(git describe --tags --always --first-parent)",
  "url": "${CI_PROJECT_URL:-$url}",
  "gitHash": "$(git rev-parse HEAD)",
  "timestamp": "$(date +%s)"
}
EOF
